<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Form</title>
  <script src="js/01_form.js" type="module"></script>
  <link rel="stylesheet" href="css/form.css">
</head>
<body>

<form id="form-example" action="01_receiver.html" method="GET">
  <fieldset>
    <legend>Contact information</legend>
    <div>
      <label for="name">Name * </label>
      <input type="text" id="name" name="name" placeholder="John Doe" required>
    </div>
    <div>
      <label for="password" >Password *</label>
      <input type="password" id="password" name="password" minlength="6" required>
    </div>
    <div>
      <label for="phone">Phone number </label>
      <input type="tel" id="phone" pattern="^0?[1-9][0-9]{7,8}$" placeholder="0123456789"
             name="phone">
      <!-- should be 9 digits, or 10 digits starting with a zero -->
    </div>
  </fieldset>
  <div>
    <label for="reply">Reply </label><br>
    <textarea id="reply" name="reply" disabled>blabla</textarea><br>
  </div>
  <div>
    <label>Pick one
      <select name="choice">
        <optgroup label="fruit">
          <option value="apple">apple</option>
          <option value="pear">pear</option>
          <option value="orange">orange</option>
        </optgroup>
        <optgroup label="vegetable">
          <option value="cucumber">cucumber</option>
          <option value="carrot">carrot</option>
        </optgroup>
      </select>
    </label>
  </div>
  <div>
    <label for="amazon">Amazon Web Services</label>
    <input type="radio" id="amazon" name="cloud" value="amazon">
    <label for="google">Google Cloud</label>
    <input type="radio" id="google" name="cloud" value="go  ogle">
    <label for="azure">Microsoft Azure</label>
    <input type="radio" id="azure" name="cloud" value="azure">
  </div>
  <div>
    <label for="file">File </label>
    <input type="file" id="file" name="file">
  </div>
  <div>
    <input type="checkbox" id="agree" name="agree">
    <label for="agree">I agree to everything</label>
  </div>
  <div id="feedback" class="alert"></div>
  <button type="submit">Submit</button>
  <button type="reset">Cancel</button>
</form>
<hr>
<div>
<button id="password-button">Psst, wanna see the password?</button>
  <div id="password-message"></div>
</div>
</body>
</html>
